org.apache.mina.service.executor

## Interface Event

All Known Implementing Classes:
  CloseEvent, IdleEvent, OpenEvent, ReceiveEvent, SentEvent

    public interface Event

A `IoHandler` event to be submitted to an `IoHandlerExecutor`. Use the visitor pattern for implementing different behaviour for different events : visitor pattern"

Author:
  Apache MINA Project

### Method Summary

Methods
`IoSession` `getSession()` The session of this event.
`void` `visit(EventVisitor visitor)` Call the visitor method for this kind of event.

### Method Detail

#### getSession

    IoSession getSession()

The session of this event.

Returns:
  the session (cannot be null)

#### visit

    void visit(EventVisitor visitor)

Call the visitor method for this kind of event.

Parameters:
  `visitor` - the vistor to call